LINUX.ORG.RU

Поддержка Python ветки 2.7 продлена до 2020 года

 


0

3

Вчера Гвидо ван Россум, лидер проекта Python, внес изменения в документ, определяющий сроки поддержки Python 2.7, продлив их с 5 до 10 лет. Таким образом, выпуск обновлений для ветки Python 2.7 продлен до 2020 года.

Данный шаг был обусловлен желанием угодить пользователям, которые пока не могут перевести свои проекты на Python 3. Постоянный выпуск обновлений не гарантируется, но продление поддержки открывает возможности для концентрации усилий по обеспечению длительной поддержки вендорами, а также для исправления существующих ошибок и недочетов.

Плановые выпуски будут выходить в соответствии с известным расписанием:

  • 2.7.7 - Май 2014
  • 2.7.8 - Ноябрь 2014
  • 2.7.9 - Май 2015

Пока график выхода релизов, обусловленных продленной поддержкой, не уточняется.

>>> Подробности

★★★★★

Проверено: fallout4all ()

Данный шаг был обусловлен желанием угодить пользователям, которые пока не могут перевести свои проекты на Python 3.

Как бы таким макаром не пришлось снова поддержку продлевать.

theNamelessOne ★★★★★ ()

Вроде как многий софт уже может запускаться в Python3. Или я что-то путаю?

a1batross ★★★★★ ()

Зачем они закопали 3 ветку? Решение было дропнуть поддержку 2 полностью.

wakuwaku ★★★★ ()

Без бэкпортирования фич из Py3? Too little too late.

tailgunner ★★★★★ ()

теперь Python 2.7 — это новый Windows XP :) ..ну или Internet Explorer 6.0

:-)

user_id_68054 ★★★★★ ()

вынужденная мера, потом видимо продлят до 2030

umren ★★★★★ ()
Ответ на: комментарий от a1batross

Запусти мне в третей ветке, пожалуйста

#!/usr/bin/python2

print 'Hello, World!'

без правки кода, конечно (по понятным причинам).

alozovskoy ★★★★★ ()
Последнее исправление: alozovskoy (всего исправлений: 1)
Ответ на: комментарий от zloelamo

Не просто не в пользу, а катастрофически не в пользу. Где-то светилась статистика, что практически все как сидели на 2 ветке, так и сидят.

Akamanah ★★★★★ ()
Ответ на: комментарий от alozovskoy

Спасибо, устроил хорошее настроение на весь день. :D

a1batross ★★★★★ ()
Ответ на: комментарий от alozovskoy

Причины, я так понимаю, тотальное неосиляторство инструментов для работы с кодом?

anonymous ()

Предсказуемо. Ждем 2.8.

cab ★★★★ ()

Это FAIL. Я до последнего надеялся, что здравый смысл возьмёт своё и закопают.

BattleCoder ★★★★★ ()

Не удивительно. 3му питону до продакшена как до луны раком.

Reset ★★★★★ ()
Ответ на: комментарий от anonymous

Обратная совместимость - раз. Слишком мало в тройке фич, чтобы ломать совместимость с двойкой - два.

cab ★★★★ ()
Ответ на: комментарий от alozovskoy

Запусти мне в третей ветке, пожалуйста

пожалуйста. запускаю:

#!/bin/bash

echo 'Hello, World!'

exit

python3 -c "#!/usr/bin/python2

print 'Hello, World!'"
user_id_68054 ★★★★★ ()
Ответ на: комментарий от alozovskoy

О, ну отличный подход. А запусти как мне на 2.x вот этот код. Без правки кода, конечно(по понятным причинам)

package main

import "fmt"

func main() {
    fmt.Println("Hello, 世界")
}

И никакая это не победа. Просто пока оттянули время до релизов функционала, который поможет мигрировать на тройку. Например форматирование байтовых строк для 3.5

northicewind ()
Ответ на: комментарий от cab

Но сколько софта на питоне мне не попадалось, все умеют поголовно в Python 3.

a1batross ★★★★★ ()
Ответ на: комментарий от cab

Не удивительно. 3му питону до продакшена как до луны раком.

Вот оно что. А мужики-то не знают.

В тройке более чем достаточно фич для перехода.

northicewind ()
Ответ на: комментарий от northicewind

Не, вопрос был в другом. Ты тут используешь особенности тройки, и глупо ожидать от старой версии поддержки фич новой версии (а то зачем новая версия тогда). Я же привел пример отсутствия обратной совместимости даже в таком простом куске как причину того, почему мало кто спешит свои проекты переводить на тройку со второй ветки.

alozovskoy ★★★★★ ()
Ответ на: комментарий от cab

Да, не тебя. Но ответ про фичи был тебе. Тройка более полная и удобная платформа для разработки. Изкоробочный pip и venv, красивая работа с файлами, concurrent.futures, но самое главное - asyncio. Все крупные библиотеки прекрасно работают на третей ветке. Для меня стопором была только Django, но теперь вторая версия стоит только для hg.

northicewind ()

похороните уже это говно мамонта. шо ж вы творите то?

x0r ★★★★★ ()

Не лидер, а тряпка.
Поддержку второй версии нужно дропнуть побыстрее, чтобы свободно развиваться вперёд.

blackst0ne ★★★★★ ()
Ответ на: комментарий от Reset

3му питону до продакшена как до луны раком.

Чего в нём не хватает для продакшена?

Axon ★★★★★ ()

Ололо троечка-то никому не нужна выходит

yoghurt ★★★★★ ()
Ответ на: комментарий от alozovskoy

Я к тому, что такие мелочи как print и различия в именовании импортов исправляются банальным 2to3. А если там кругом говнокод на костылях, так может не в потере обратной совместимости дело?

Людей в основном останавливало отсутствие поддержки со стороны крупных фреймворков. Сейчас и django и flask работают под 3. Все нужные либы есть.

northicewind ()

Fail. Давно пора закопать все ветки питона.

Lavos ★★★★★ ()
Ответ на: комментарий от Axon

На нем не работает продакшен-код, который никто никогда не будет переписывать.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

На нем не работает продакшен-код, который никто никогда не будет переписывать.

Пусть дальше не работает. Вот я разрабатываю новое приложение на питоне. Зачем мне использовать вторую ветку?

Axon ★★★★★ ()
Ответ на: комментарий от northicewind

Сейчас и django и flask работают под 3. Все нужные либы есть.

А люди всё равно не переходят. Потому что прейти «раз и навсегда» невозможно, а поддерживать кодовую базу, работающую и в 2, и в 3 - геморрой.

tailgunner ★★★★★ ()
Ответ на: комментарий от Axon

Затем, что при внедрении этого приложения в текущую работающую инфраструктуру тебя пошлют лесом.

Reset ★★★★★ ()
Ответ на: комментарий от a1batross

Мне из критичного нужно xlwt/pyExcelerator, kinterbasdb, reportlab, PIL. Как только появится 4 этих софтины для тройки я задумаюсь о переходе.

cab ★★★★ ()
Ответ на: комментарий от Axon

Вот я разрабатываю новое приложение на питоне. Зачем мне использовать вторую ветку?

Чтобы запустить ее на RHEL 6 (или более ранних).

tailgunner ★★★★★ ()

Вот это подстава. Не иначе как из-за pyston, блин :(.

true_admin ★★★★★ ()
Ответ на: комментарий от Reset

Такой код называется legacy. И его для любого популярного языка хватает.

northicewind ()
Ответ на: комментарий от northicewind

Все эти фишки не перевешивают отсутствующие либы Поддержка Python ветки 2.7 продлена до 2020 года (комментарий)

И ах да, кроме наличия либ нужно еще желание заказчика финансировать портирование на тройку.

cab ★★★★ ()
Последнее исправление: cab (всего исправлений: 1)
Ответ на: комментарий от northicewind

угу, а если в коде разбросаны такие вещи, как:

c = filter(filter_func, some_list)

a = 3 b = 2 c = b / a

dicos ()
Ответ на: комментарий от Reset

Затем, что при внедрении этого приложения в текущую работающую инфраструктуру тебя пошлют лесом.

С какого это фига?

Axon ★★★★★ ()
Ответ на: комментарий от northicewind

Такой код называется legacy. И его для любого популярного языка хватает

Вот только legacy perl-код ты без особых проблем запустишь на последней версии перла, а python-код — нет.

anonymous ()
Ответ на: комментарий от tailgunner

Чтобы запустить ее на RHEL 6 (или более ранних).

А зачем мне ставить RHEL 6 для запуска аппликухи на третьем питоне?

Axon ★★★★★ ()

Просто вторая ветка оказалась слишком хорошей.

Надо две ветки питона пошагово уравнять в возможностях и получившееся назвать Python 3. Тогда и мигрируют.

shimon ★★★★★ ()
Ответ на: комментарий от anonymous

Вот только legacy perl-код ты без особых проблем запустишь на последней версии перла

Рассказывай...

shimon ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.